1. Service Requests
Calven Developer Docs
latest
  • latest
  • beta
  • Default module
    • Overview
    • Access Control
    • Basic Authentication
    • HMAC Authentication
    • SDKs
    • Calven Data Models
    • Changelog
    • Authentication
      • Generate a token with an API key and HMAC
      • Generate a token with an API key and client secret
    • Presence
      • Presence Overview
      • Submit presence events
      • Submit presence events (Basic auth)
    • Occupancy
      • Occupancy Overview
      • Submit occupancy events
    • Time Off
      • Submit time off updates
    • Access Credentials
      • Submit access credentials
    • Warehouse - Basic Auth
      • Warehouse API (Basic Auth)
      • Users (Basic auth)
      • Groups (Basic auth)
      • Locations (Basic auth)
      • Desks (Basic auth)
      • Bookings & Attendance (Basic auth)
      • Presence (Basic auth)
      • User Actions Log (Basic auth)
      • Events (Basic auth)
    • Warehouse - HMAC Auth
      • Warehouse API (HMAC Auth)
      • Users
      • Groups
      • Locations
      • Desks
      • Bookings & Attendance
      • Presence
      • User Actions Log
      • Events
    • Hierarchy Information
      • Org Hierarchy Information Overview
      • Submit group hierarchy relationships
      • Submit group hierarchy relationships (Basic auth)
    • Parking
      • Retrieve parking bookings
      • Retrieve parking bookings (Basic auth)
    • Service Requests
      • Service Offerings
        GET
      • Service Offering
        GET
      • Submit a service request
        POST
      • Service Request
        GET
      • Update a service request
        PATCH
    • User Attributes
      • User Attributes Overview
      • Write directory user attributes
      • Write directory user attributes (Basic auth)
    • Visitor Management
      • Submit visitor arrival events
      • Submit visitor arrival events (Basic auth)
  1. Service Requests

Submit a service request

Testing
POST
/v1/services/service-requests/requests
Submits a Service Request for a person outside your organisation, such as a visitor. To book a meeting, submit a room request with meeting, then submit other services, such as catering, with the calendarEventId it returns.
Requires the service:request:write permission.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples
{
    "offeringId": "141fd42f-b2df-4b2a-919d-f9f1d81d04e7",
    "answers": [
        {
            "questionId": "5ebb571f-e57b-4789-8fcd-e4d298ce8723",
            "kind": "text",
            "value": "8 people"
        }
    ],
    "requester": {
        "firstName": "Alex",
        "lastName": "Morgan",
        "email": "alex.morgan@example.com",
        "company": "Example Pty Ltd"
    },
    "meeting": {
        "start": "2026-11-01T23:00:00.000Z",
        "end": "2026-11-02T00:00:00.000Z",
        "subject": "Quarterly review with Example Pty Ltd",
        "attendees": [
            {
                "email": "sam.lee@example.com",
                "name": "Sam Lee"
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.calven.com/v1/services/service-requests/requests' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "offeringId": "141fd42f-b2df-4b2a-919d-f9f1d81d04e7",
    "answers": [
        {
            "questionId": "5ebb571f-e57b-4789-8fcd-e4d298ce8723",
            "kind": "text",
            "value": "8 people"
        }
    ],
    "requester": {
        "firstName": "Alex",
        "lastName": "Morgan",
        "email": "alex.morgan@example.com",
        "company": "Example Pty Ltd"
    },
    "meeting": {
        "start": "2026-11-01T23:00:00.000Z",
        "end": "2026-11-02T00:00:00.000Z",
        "subject": "Quarterly review with Example Pty Ltd",
        "attendees": [
            {
                "email": "sam.lee@example.com",
                "name": "Sam Lee"
            }
        ]
    }
}'

Responses

🟢201
application/json
Bodyapplication/json

Example
{
    "serviceRequestId": "1e23d1ac-fd7c-4b0a-8bb8-3a6c80ad6fcc",
    "calendarEventId": "9618160e-33cb-431e-89ee-6ead6d72d1ca"
}
🟠400
🟠401
🟠404
🔴502
Modified at 2026-11-19 03:47:22
Previous
Service Offering
Next
Service Request
Built with